Facebook Twitter YouTube Frictional Games | Forum | Newsletter | Dev Blog | Dev Wiki | Support


Post Reply 
openSUSE 11.2 & Penumbra Overture
Author Message
zimzum Offline
Junior Member

Posts: 2
Joined: May 2010
Reputation: 0
Post: #1
Not Solved openSUSE 11.2 & Penumbra Overture

the game installs without errors, but the game wont launch from the shortcut.
when I run the game from the terminal this is the output:
jon@linux-4voj:~/PenumbraOverture> sh penumbra
./penumbra.bin: ./lib/libCgGL.so: no version information available (required by ./penumbra.bin)
./penumbra.bin: ./lib/libCg.so: no version information available (required by ./penumbra.bin)
ALSA lib pcm.c:2171:(snd_pcm_open_conf) Cannot open shared library /usr/lib/alsa-lib/libasound_module_pcm_pulse.so
libgcc_s.so.1 must be installed for pthread_cancel to work
penumbra: line 9: 22969 Aborted                 ./penumbra.bin "$@"
Penumbra: Overture exited unexpectedly, please check
/home/jon/.frictionalgames/Penumbra/Overture/hpl.log
for any error messages
Also try running
ulimit -c unlimited
And re-running Penumbra and try and recreate the error
then submit the generated core file or stack trace
I did check hpl.log and the last line is:
Initializing Sound Module
--------------------------------------------------------
Initializing OpenAL.
  Trying to open audio device...
This was part of the Humble Bundle.
05-16-2010 04:06 PM
Find all posts by this user Quote this message in a reply
Urkle Offline
FG - Associate

Posts: 1,153
Joined: Jul 2006
Reputation: 19
Post: #2
Not Solved RE: openSUSE 11.2 & Penumbra Overture

Try using your system installed version of openal instead of the distributed version of OpenAL.. (by removing libopenal from the game directories lib directory ). Also probably remove libvorbis, lbvorbisfile and libogg so you use your distributions version of those libraries as well.

Make sure to use OpenAL-Soft's implementation of OpenAL (most current distributions use this version anyway).

Really nearly all of the libraries in the lib directory can be removed except for fltk, and Cg (possibly alut) as the rest are nearly always provided on a current linux distribution.

Developing away on one of
Mac Pro Dual 2Ghz, 14GB RAM, 10.6 (still), nVidia 8800 512MB.
Linux, 8-core AMD, 8GB RAM, Fedora 17, nVidia 450 1GB
05-16-2010 04:10 PM
Visit this user's website Find all posts by this user Quote this message in a reply
zimzum Offline
Junior Member

Posts: 2
Joined: May 2010
Reputation: 0
Post: #3
Not Solved RE: openSUSE 11.2 & Penumbra Overture

Removing libopenal, libvorbis, llibvorbisfile and libogg was enough to get the game to run. Thanks for the quick reply, I didn't expect a response over the weekend.
05-16-2010 07:04 PM
Find all posts by this user Quote this message in a reply
crab Offline
Junior Member

Posts: 1
Joined: Jun 2010
Reputation: 0
Post: #4
Not Solved RE: openSUSE 11.2 & Penumbra Overture

[edit] Rebooting fixed.

Very similar issue:

./penumbra.bin: ./lib/libCgGL.so: no version information available (required by ./penumbra.bin)
./penumbra.bin: ./lib/libCg.so: no version information available (required by ./penumbra.bin)
X Error of failed request:  BadRequest (invalid request code or no such operation)
  Major opcode of failed request:  154 (GLX)
  Minor opcode of failed request:  181 ()
  Serial number of failed request:  32
  Current serial number in output stream:  38
X Error of failed request:  BadRequest (invalid request code or no such operation)
  Major opcode of failed request:  154 (GLX)
  Minor opcode of failed request:  181 ()
  Serial number of failed request:  33
  Current serial number in output stream:  39
Segmentation fault

and in hpl

-------- THE HPL ENGINE LOG ------------

Creating Engine Modules
--------------------------------------------------------
Creating graphics module
Creating system module
Creating resource module
Creating input module
Creating sound module
Creating physics module
Creating ai module
Creating gui module
Creating haptic module
Creating scene module
--------------------------------------------------------

Initializing Resources Module
--------------------------------------------------------
Creating resource managers
Misc Creation
--------------------------------------------------------

Initializing Graphics Module
--------------------------------------------------------
Init low level graphics
Setting video mode: 800 x 600 - 32 bpp
Init Glee...OK
Setting up OpenGL

I have removed those libs you mentioned and checked they are installed. I am running 32-bit Lucid Lynx.
06-07-2010 10:39 PM
Find all posts by this user Quote this message in a reply
Post Reply 




User(s) browsing this thread: 1 Guest(s)